Loading...
Searching...
No Matches
QGpgME::WKDLookupJob Class Referenceabstract
Inheritance diagram for QGpgME::WKDLookupJob:
[legend]
Collaboration diagram for QGpgME::WKDLookupJob:
[legend]

## Signals

void | result (const WKDLookupResult &result, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QString &email)=0
virtual WKDLookupResult | exec (const QString &email)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| WKDLookupJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

virtual WKDLookupResult QGpgME::WKDLookupJob::exec | ( | const QString & | email | ) |

pure virtual

Runs a key lookup operation for the email address email via WKD.

Implemented in QGpgME::QGpgMEWKDLookupJob.

## start()

virtual GpgME::Error QGpgME::WKDLookupJob::start | ( | const QString & | email | ) |

pure virtual

Starts a key lookup operation for the email address email via WKD.

Implemented in QGpgME::QGpgMEWKDLookupJob.

The documentation for this class was generated from the following files:

- wkdlookupjob.h
- wkdlookupjob.cpp